#ifndef MSGTEMPLATE_H
#define MSGTEMPLATE_H

#include <QObject>
#include <QQuickWindow>
#include "./docparse/writingadditemdialog.h"
#include "./docparse/toneadditemdialog.h"
#include "./docparse/writingedititemdialog.h"
#include "./docparse/toneedititemdialog.h"
#include "./writing/documentstylelistmodel.h"
#include "./writing/writingtonelistmodel.h"

class MsgTemplate : public QObject
{
    Q_OBJECT
public:
    explicit MsgTemplate(QObject *parent = nullptr);

public slots:
    void setParent(QObject *parent);

    void onShowAddArticleTypeDialog();
    void onShowEditArticleTypeDialog(const QString &uuid);
    void onArticleItemDeleteRequested(const QString& uuid);
    void onArticleTypeSelected(const QString &uuid);

    void onShowAddToneStyleDialog();
    void onShowEditToneStyleDialog(const QString &uuid);
    void onToneItemDeleteRequested(const QString& uuid);

signals:
    void sigArticleTypeSelectedForWriting(const QString &uuid);

private:
    QQuickWindow *m_parent = nullptr;
};

#endif // MSGTEMPLATE_H
